# Generated from bliss-client-1.2.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name bliss-client

Name: rubygem-%{gem_name}
Version: 1.2.0
Release: 1%{?dist}
Summary: Bliss API client library
License: MIT
URL: http://www.fadendaten.ch/
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(dotenv) >= 2.0.2
# BuildRequires: rubygem(dotenv) < 2.1
# BuildRequires: rubygem(minitest) >= 5.8.3
# BuildRequires: rubygem(minitest) < 5.9
# BuildRequires: rubygem(pry) >= 0.10.3
# BuildRequires: rubygem(pry) < 0.11
# BuildRequires: rubygem(pry-byebug) >= 3.3.0
# BuildRequires: rubygem(pry-byebug) < 3.4
# BuildRequires: rubygem(pry-doc) >= 0.8.0
# BuildRequires: rubygem(pry-doc) < 0.9
# BuildRequires: rubygem(vcr) >= 3.0.0
# BuildRequires: rubygem(vcr) < 3.1
BuildArch: noarch

%description
Bliss API client library.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/.env.example
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.ruby-version
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/bin
%{gem_instdir}/fixtures
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/bliss-client.gemspec

%changelog
* Mon Apr 18 2022 mockbuilder - 1.2.0-1
- Initial package
